petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexDistributeData

Distribute field data to match a given PetscSF, usually the SF from mesh distribution

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexDistributeData(DM dm, PetscSF pointSF, PetscSection originalSection, MPI_Datatype datatype, void *originalData, PetscSection newSection, void **newData)

Collective on DM

### Input Parameters

| dm | - The DMPlex object
| pointSF | - The PetscSF describing the communication pattern
| originalSection | - The PetscSection for existing data layout
| datatype | - The type of data
| originalData | - The existing data

### Output Parameters

| newSection | - The PetscSection describing the new data layout
| newData | - The new data

### See Also

DMPlexDistribute(), DMPlexDistributeField()

Level:developer
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages